Package fr.gouv.vitam.storage.engine.common.model

# Class TapeLibraryObjectReferentialId

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.TapeLibraryObjectReferentialId

public class TapeLibraryObjectReferentialId extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTAINER_NAME`
  `static final String`
  `OBJECT_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeLibraryObjectReferentialId()`
  `TapeLibraryObjectReferentialId(String containerName, String objectName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getContainerName()`
  `String`
  `getObjectName()`
  `int`
  `hashCode()`
  `TapeLibraryObjectReferentialId`
  `setContainerName(String containerName)`
  `TapeLibraryObjectReferentialId`
  `setObjectName(String objectName)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTAINER_NAME

    public static final String CONTAINER_NAME
    See Also:
      - Constant Field Values

  - ### OBJECT_NAME

    public static final String OBJECT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TapeLibraryObjectReferentialId

    public TapeLibraryObjectReferentialId()

  - ### TapeLibraryObjectReferentialId

    public TapeLibraryObjectReferentialId(String containerName, String objectName)

- ## Method Details

  - ### getContainerName

    public String getContainerName()

  - ### setContainerName

    public TapeLibraryObjectReferentialId setContainerName(String containerName)

  - ### getObjectName

    public String getObjectName()

  - ### setObjectName

    public TapeLibraryObjectReferentialId setObjectName(String objectName)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`